ParserRuleSet (jEdit API Documentation)

Package org.gjt.sp.jedit.syntax

## Class ParserRuleSet

- java.lang.Object
- - org.gjt.sp.jedit.syntax.ParserRuleSet

-     public class ParserRuleSet
      extends java.lang.Object

  A set of parser rules.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParserRuleSet​(java.lang.String modeName, java.lang.String setName)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addRule​(ParserRule parserRule)` |
    `void` | `addRuleSet​(ParserRuleSet ruleset)` | Adds all rules contained in the given ruleset.
    `byte` | `getDefault()` |
    `java.util.regex.Pattern` | `getDigitRegexp()` |
    `ParserRule` | `getEscapeRule()` |
    `boolean` | `getHighlightDigits()` |
    `boolean` | `getIgnoreCase()` |
    `KeywordMap` | `getKeywords()` |
    `java.lang.String` | `getModeName()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getNoWordSep()` |
    `java.util.Hashtable<java.lang.String,​java.lang.String>` | `getProperties()` |
    `int` | `getRuleCount()` |
    `java.util.List<ParserRule>` | `getRules​(char key)` |
    `java.lang.String` | `getSetName()` |
    `static ParserRuleSet` | `getStandardRuleSet​(byte id)` | Returns a parser rule set that highlights everything with the specified token type.
    `int` | `getTerminateChar()` | Returns the number of chars that can be read before the rule parsing stops.
    `boolean` | `isBuiltIn()` | Returns if this is a built-in ruleset.
    `void` | `resolveImports()` | Resolves all rulesets added with `addRuleSet(ParserRuleSet)`.
    `void` | `setDefault​(byte def)` |
    `void` | `setDigitRegexp​(java.util.regex.Pattern digitRE)` |
    `void` | `setEscapeRule​(ParserRule escapeRule)` |
    `void` | `setHighlightDigits​(boolean highlightDigits)` |
    `void` | `setIgnoreCase​(boolean b)` |
    `void` | `setKeywords​(KeywordMap km)` |
    `void` | `setNoWordSep​(java.lang.String noWordSep)` |
    `void` | `setProperties​(java.util.Hashtable<java.lang.String,​java.lang.String> props)` |
    `void` | `setTerminateChar​(int atChar)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserRuleSet

          public ParserRuleSet​(java.lang.String modeName,
                               java.lang.String setName)

  - ### Method Detail

    - #### getStandardRuleSet

          public static ParserRuleSet getStandardRuleSet​(byte id)

      Returns a parser rule set that highlights everything with the specified token type.
      Parameters:
        `id` - The token type

    - #### getModeName

          public java.lang.String getModeName()

    - #### getSetName

          public java.lang.String getSetName()

    - #### getName

          public java.lang.String getName()

    - #### getProperties

          public java.util.Hashtable<java.lang.String,​java.lang.String> getProperties()

    - #### setProperties

          public void setProperties​(java.util.Hashtable<java.lang.String,​java.lang.String> props)

    - #### resolveImports

          public void resolveImports()

      Resolves all rulesets added with `addRuleSet(ParserRuleSet)`.
      Since:
        jEdit 4.2pre3

    - #### addRuleSet

          public void addRuleSet​(ParserRuleSet ruleset)

      Adds all rules contained in the given ruleset.
      Parameters:
        `ruleset` - The ruleset
      Since:
        jEdit 4.2pre3

    - #### addRule

          public void addRule​(ParserRule parserRule)

    - #### getRules

          @Nonnull
          public java.util.List<ParserRule> getRules​(char key)

    - #### getRuleCount

          public int getRuleCount()

    - #### getTerminateChar

          public int getTerminateChar()

      Returns the number of chars that can be read before the rule parsing stops.
      Returns:
        a number of chars or -1 (default value) if there is no limit

    - #### setTerminateChar

          public void setTerminateChar​(int atChar)

    - #### getIgnoreCase

          public boolean getIgnoreCase()

    - #### setIgnoreCase

          public void setIgnoreCase​(boolean b)

    - #### getKeywords

          public KeywordMap getKeywords()

    - #### setKeywords

          public void setKeywords​(KeywordMap km)

    - #### getHighlightDigits

          public boolean getHighlightDigits()

    - #### setHighlightDigits

          public void setHighlightDigits​(boolean highlightDigits)

    - #### getDigitRegexp

          public java.util.regex.Pattern getDigitRegexp()

    - #### setDigitRegexp

          public void setDigitRegexp​(java.util.regex.Pattern digitRE)

    - #### getEscapeRule

          public ParserRule getEscapeRule()

    - #### setEscapeRule

          public void setEscapeRule​(ParserRule escapeRule)

    - #### getDefault

          public byte getDefault()

    - #### setDefault

          public void setDefault​(byte def)

    - #### getNoWordSep

          public java.lang.String getNoWordSep()

    - #### setNoWordSep

          public void setNoWordSep​(java.lang.String noWordSep)

    - #### isBuiltIn

          public boolean isBuiltIn()

      Returns if this is a built-in ruleset.
      Since:
        jEdit 4.2pre1

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`